Type to search.

Create or update a search application

  • PUT /_application/search_application/{name}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Beta since 8.8 This functionality is in beta and is not ready for production usage. For beta features, the design and code is less mature than official GA features and is being provided as-is with no warranties. Beta features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Index privileges manage
Cluster privileges manage_search_application

Path parameters

name string required

The name of the search application to be created or updated.

Query parameters

create boolean · default: false

If true, this request cannot replace or update existing Search Applications.

Request body

indices string[] required

Indices that are part of the Search Application.

analytics_collection_name string

Analytics collection associated to the Search Application.

Response

application/json
result enum required
Values: created updated deleted not_found noop